import 'dotenv/config';
import { Provider, Type } from "injection-js";
export declare function makeCreateEnvironment<T extends Environment>(type: Type<T>): (override?: Partial<T>) => T;
export declare class Environment {
    PORT: number;
    SENTRY_DSN: string;
    NODE_ENV: string;
    MONGODB_URI: string;
    EVE_AUTH_BEARER: string;
    SERVICE_URL: string;
    static create: (override?: Partial<Environment>) => Environment;
}
export declare const ENVIRONMENT_PROVIDER: Provider;
