import { Subject } from "rxjs";
import { Logger } from "winston";
import { Environment } from "./environment";
import mongoose = require('mongoose');
export declare class DbDriver {
    protected env: Environment;
    protected logg: Logger;
    connected: Subject<void>;
    constructor(env: Environment, logg: Logger);
    connect(): Promise<typeof mongoose>;
    disconnect(): void;
    readonly db: mongoose.Connection;
}
