import { ConsoleLogger, Environment } from "..";
export interface IterableFn<T> {
    (): AsyncIterableIterator<T> | IterableIterator<T> | T[];
}
export declare class CallbackResponder {
    private env;
    private logger;
    constructor(env: Environment, logger: ConsoleLogger);
    runIterable<T>(callbackUrl: string, fn: IterableFn<T>): Promise<void>;
    run<T>(callbackUrl: string, fn: () => T | Promise<T>): Promise<void>;
    private send;
}
